Bug 74237 - gnome-terminal crash during resizing
gnome-terminal crash during resizing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-18 10:32 EDT by Joe Orton
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 14:28:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stop vte dying, print message on bogus event (879 bytes, patch)
2002-10-11 10:36 EDT, Alan Cox
no flags Details | Diff

  None (edit)
Description Joe Orton 2002-09-18 10:32:02 EDT
Using: gnome-terminal-2.0.1-5 and vte-0.8.19-1

I can fairly reproducibly make gnome-terminal crash by doing:

1. start mutt in a gnome-terminal
2. change to a folder with many messages in, which takes 10+ seconds to load
3. resize the gnome-terminal window a few times whilst mutt continues to display 
its "Reading /home/jorton/mail/<folder> ... x y%" messages every 1000 messages.

Here's the backtrace:

(no debugging symbols found)...
0x420ae169 in wait4 () from /lib/i686/libc.so.6
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x408ecc63 in waitpid () from /lib/i686/libpthread.so.0
#3  0x40236ff5 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#4  0x408ee47e in __pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x42028cc1 in kill () from /lib/i686/libc.so.6
#7  0x408eb07d in raise () from /lib/i686/libpthread.so.0
#8  0x4202a019 in abort () from /lib/i686/libc.so.6
#9  0x4093e476 in g_logv () from /usr/lib/libglib-2.0.so.0
#10 0x4093e4b4 in g_log () from /usr/lib/libglib-2.0.so.0
#11 0x400375fe in vte_terminal_ensure_cursor () from /usr/lib/libvte.so.2
#12 0x4003c325 in vte_terminal_insert_char () from /usr/lib/libvte.so.2
#13 0x4003d527 in vte_terminal_process_incoming () from /usr/lib/libvte.so.2
#14 0x40938c83 in g_idle_dispatch () from /usr/lib/libglib-2.0.so.0
#15 0x40935f65 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0x40936f98 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#17 0x409372ad in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#18 0x40937a1f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#19 0x4043939f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x08058256 in main ()
#21 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Alan Cox 2002-10-11 10:35:05 EDT
This patch I think shows what is actually going on - cursor escaping off display
top. Im not sure it is the right actual fix ultimately

Alan
Comment 2 Alan Cox 2002-10-11 10:36:10 EDT
Created attachment 79985 [details]
Stop vte dying, print message on bogus event
Comment 3 Ray Strode [halfline] 2004-11-09 14:16:47 EST
Hi Joe, Alan:

Are either you two still seeing this behavior with a recent version of
vte?
Comment 4 Ray Strode [halfline] 2004-11-09 14:28:59 EST
Ah this was fixed:

http://bugzilla.gnome.org/show_bug.cgi?id=94509

Note You need to log in before you can comment on or make changes to this bug.